Description

Ram (rkris@wisense.in) has set up a "gateway" to collect well water sensor (to start with).

The mqtt messages arrive directly on the server. See:

Sensor data published by the GW to this topic "/v1/telemetry" in JSON format. See example below.

{

  "Name":"WSN-0012f82e",

  "MacId":"00:12:f8:2e",

  "RSSI":-19,

  "LQI":13,

  "0x78":"2.97",

  "0x33":"215.00",

  "0x58":"0.40",

  "Sequence_number":64

}

History

#1 - 22/11/2023 20:29 - Philippe May

- Assignee changed from Philippe May to Giulio Di Anastasio

Giulio, which well (id) is the first sensor in?

#2 - 23/11/2023 12:44 - Giulio Di Anastasio

- File Kindergarten dashboard.png added

- File Alok well dashboard.png added

The first sensor has been installed in Alok's well, well id is 119, MAC id is 00:12:f8:2e

Then another sensor has been installed at Kindergarten, well id is 238, MAC id is 00:12:df:f4

See attached screenshots

#3 - 24/11/2023 17:16 - Philippe May

Done most of the job, but i have a doubt, and i must be missing something: how to compute the level from the top of the well?

For example we get such value: 21545 (mm), which i remember Ram saying it's the height of the column of water above the probe. But we don't know

at which depth is the probe. It has to de with the calibration linear function. @giulio, can you enlighten me?
#4 - 24/11/2023 19:14 - Giulio Di Anastasio

The depth of the sensor is known, as well as the elevation of the ground and that of top of casing.

The depth of the sensor is decided upfront, and it is different for each well, as it depends on local setup of the well. The sensor is installed at that

depth (example: 45 meters from top of casing), then knowing the height of the column of water above the sensor it is wasy to calculate the depth of

water.

So, before we set up everything in the database for this, we still need to test the good functioning of the setup: for instance, day before yesterday the

sensor in Alok’s well suddenly stopped transmitting. Vijai went and replaced the battery in the transmitting device, and replaced the sensor. But we

still don’t know what happened, and that requires some observation.

The best is that we get from Vijai the depth of the sensor even if it temporary, and then finalize it once we have understood what is reLly going on

inside the well.

I hope this was clear, of course itnis better to meet in person and clarify all these points, and raise some more…

Cheers

#5 - 29/11/2023 17:32 - Philippe May

For sensors out of the ICITI (Aurinoco) network, we have several options (order of priority/easiness), discussed with Ram:

1. Aurinoco forwards MQTT traffic coming to gis.avcsr.org public IP address to CSR network. I created a ticket for that: 

https://redmine.auroville.org.in/issues/15280

2. Get the remote devices to use MQTT over websocket, which seems to be a common solution for a setup like ours (private LAN)

3. Use a public MQTT "broker", such as https://mqtthq.com/

4. VPN (software or using dedicated hardware box)

5. Point to point radio link between remote location (Auro Orchard) and CSR (involved setting up some hardware)

Files

Alok well dashboard.png 117 KB 23/11/2023 Giulio Di Anastasio

Kindergarten dashboard.png 119 KB 23/11/2023 Giulio Di Anastasio
